##
##  perl-net.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   versions of individual parts
%define       V_net_daemon            0.37
%define       V_net_server            0.84
%define       V_net_ext               1.011
%define       V_libnet                1.12
%define       V_net_netmask           1.9002
%define       V_net_ftp_common        2.9
%define       V_net_snmp              4.0.3
%define       V_net_services          1.3
%define       V_net_tftp              0.16
%define       V_net_telnet            3.03
%define       V_net_telnet_cisco      1.10
%define       V_plrpc                 0.2016
%define       V_curl_easy             1.35

#   package options
%ifndef       with_curl
%define       with_curl               %{l_test -p curl}
%endif

#   package information
Name:         perl-net
Summary:      Perl Modules for use with networks
URL:          http://www.cpan.org/
Vendor:       Perl Community
Packager:     The OpenPKG Project
Distribution: OpenPKG [BASE]
Group:        Language
License:      GPL/Artistic
Version:      20021202
Release:      20021202

#   list of sources
Source0:      http://www.cpan.org/modules/by-module/Net/Net-Daemon-%{V_net_daemon}.tar.gz
Source1:      http://www.cpan.org/modules/by-module/Net/Net-Server-%{V_net_server}.tar.gz
Source2:      http://www.cpan.org/modules/by-module/Net/Net-ext-%{V_net_ext}.tar.gz
Source3:      http://www.cpan.org/modules/by-module/Net/libnet-%{V_libnet}.tar.gz
Source4:      http://www.cpan.org/modules/by-module/Net/Net-Netmask-%{V_net_netmask}.tar.gz
Source5:      http://www.cpan.org/modules/by-module/Net/Net-FTP-Common-%{V_net_ftp_common}.tar.gz
Source6:      http://www.cpan.org/modules/by-module/Net/Net-SNMP-%{V_net_snmp}.tar.gz
Source7:      http://www.cpan.org/modules/by-module/Net/Net-Services-%{V_net_services}.tar.gz
Source8:      http://www.cpan.org/modules/by-module/Net/Net-TFTP-%{V_net_tftp}.tar.gz
Source9:      http://www.cpan.org/modules/by-module/Net/Net-Telnet-%{V_net_telnet}.tar.gz
Source10:     http://www.cpan.org/modules/by-module/Net/Net-Telnet-Cisco-%{V_net_telnet_cisco}.tar.gz
Source11:     http://www.cpan.org/modules/by-module/RPC/PlRPC-%{V_plrpc}.tar.gz
Source12:     http://curl.haxx.se/libcurl/perl/Curl-easy-%{V_curl_easy}.tar.gz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20021002, perl >= 5.8.0
PreReq:       OpenPKG, openpkg >= 20021002, perl >= 5.8.0
%if "%{with_curl}" == "yes"
BuildPreReq:  curl
%endif
AutoReq:      no
AutoReqProv:  no

%description
    Perl modules for use with networks:
    - Net::Daemon (%{V_net_daemon})
    - Net::FTP (%{V_libnet})
    - Net::FTP::Common (%{V_net_ftp_common})
    - Net::Gen (%{V_net_ext})
    - Net::Inet (%{V_net_ext})
    - Net::NNTP (%{V_libnet})
    - Net::Netmask (%{V_net_netmask})
    - Net::POP3 (%{V_libnet})
    - Net::SMTP (%{V_libnet})
    - Net::SNMP (%{V_net_snmp})
    - Net::SNPP (%{V_libnet})
    - Net::Server (%{V_net_server})
    - Net::Services (%{V_net_services})
    - Net::TCP (%{V_net_ext})
    - Net::TCP::Server (%{V_net_ext})
    - Net::TFTP (%{V_net_tftp})
    - Net::Telnet (%{V_net_telnet})
    - Net::Telnet:Cisco (%{V_net_telnet_cisco})
    - Net::Time (%{V_libnet})
    - Net::Time (%{V_libnet})
    - Net::UDP (%{V_net_ext})
    - Net::UNIX (%{V_net_ext})
    - Net::UNIX::Server (%{V_net_ext})
    - RPC::PlServer, RPC::PlClient (%{V_plrpc})
%if "%{with_curl}" == "yes"
    - Curl::easy (%{V_curl_easy})
%endif

%prep
    %setup0  -q -c
    %setup1  -q -T -D -a 1
    %setup2  -q -T -D -a 2
    %setup3  -q -T -D -a 3
    %setup4  -q -T -D -a 4
    %setup5  -q -T -D -a 5
    %setup6  -q -T -D -a 6
    %setup7  -q -T -D -a 7
    %setup8  -q -T -D -a 8
    %setup9  -q -T -D -a 9
    %setup10 -q -T -D -a 10
    %setup11 -q -T -D -a 11
    %setup12 -q -T -D -a 12

%build

%install
    #   perform common prolog operations
    %{l_prefix}/bin/perl-openpkg prolog

    #   build and install individual modules
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE0}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE1}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE2}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE3}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE4}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE5}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE6}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE7}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE8}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE9}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE10}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE11}
%if "%{with_curl}" == "yes"
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE12}
%endif

    #   perform common epilog operations
    %{l_prefix}/bin/perl-openpkg epilog

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

